System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Collections.ICollection

Use the class to programmatically manage a collection of objects that represent the cells of a single row in an control. This class is commonly used to add, remove, or modify the contents of a cell in a row of an control.

An control contains a property that contains a collection of objects. Each object represents an individual row in the table. An object contains a property that represents a collection of objects. These objects, in turn, represent the individual cells of a row. To retrieve an individual cell, first get the object that represents the row containing the cell in the table (from the collection of the control). You can then get the object that represents the cell in the row (from the collection of the object).

A collection of objects that represent the cells in a single row of an control. This class cannot be inherited.

- Method
  System.Void ``

  Use this method to add the specified object to the end of an collection. If you want to insert an object in a specified location in the collection, use the method.

  Appends the specified object to the end of the collection.

  The to add to the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Void

  Use this method to remove all objects from the collection and reset the property to 0.

  This method removes the cells from a row, but it does not remove the row from the table. To remove a row from the table, be sure to also remove the object that represents the row from the collection of the control.

  Removes all objects from the collection.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` ``

  Use this method to copy the contents of the collection into the specified , starting at the specified index of the array.

  The parameter must be a zero-based .

  Copies the items from the collection to the specified , beginning with the specified index in the .

  A zero-based that receives the copied items from the . The first index in the specified to receive the items. 1.0.5000.0 2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int'

  Use the property to determine the number of cells contained in the collection. The property is commonly used when iterating through the collection to determine the upper bound.

  Gets the number of objects in the collection.

  1.0.5000.0
  2.0.0.0
- Method
  System.Collections.IEnumerator

  Use this method to create a -implemented object that can be iterated through to retrieve the contents of each item in the collection.

  Use the property to get the item currently pointed to in the collection.

  Use the method to move to the next item in the collection.

  Use the method to move the enumerator to the initial position.

  The method must be called after creating the -implemented object, or after using the method to move the enumerator to the first item in the collection. Otherwise, the item represented by the property is undefined.

  Returns a -implemented object that contains all objects in the collection.

  A -implemented object that contains all objects in the .

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` ``

  Use the method to add the specified object to an collection at the specified index. If you want to simply append an object to the end of the collection, use the method.

  Adds the specified object at the specified index location of the collection.

  The location in the at which to add the . The to add to the . 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool'

  This property always returns false to indicate that the collection can be written to in all cases.

  Gets a value indicating whether the collection is read-only.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool'

  This property is derived from and is overridden to always return false to indicate that access to the collection is not synchronized (not thread safe).

  For more information on the property, see the property of the interface.

  Gets a value indicating whether access to the collection is synchronized (thread safe).

  1.0.5000.0
  2.0.0.0
- Property
  System.Web.UI.HtmlControls.HtmlTableCell `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  Use this method to remove the specified object from the collection.

  If you specify an object that does not exist in the collection, no item is removed from the collection.

  Removes the specified object from the collection.

  The to remove from the . 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  Use this method to remove the object at the specified index from an collection. The index number is zero-based; therefore, the first item in the collection has an index value of 0.

  If you specify an index that is outside the range of index values, an exception is raised.

  Removes the object at the specified index from the collection.

  The index of the to remove from the . 1.0.5000.0 2.0.0.0
- Property
  System.Object To be added: an object of type 'object'

  The object returned in this implementation is the current instance of the class.

  For more information on the property, see the property of the interface.

  Gets the object that can be used to synchronize access to the collection.

  1.0.5000.0
  2.0.0.0